package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller"
	"hongze/hongze_yb/middleware"
)

func InitPublic(r *gin.Engine) {
	rGroup := r.Group("public").Use(middleware.Token())

	{
		rGroup.GET("/get_apply_variety_list", controller.GetApplyVarietyList)
		rGroup.POST("/upload", controller.Upload)
	}

	initPublic(r)
}

func initPublic(r *gin.Engine) {
	rGroup := r.Group("api/public").Use(middleware.Token())

	{
		rGroup.GET("/get_apply_variety_list", controller.GetApplyVarietyList)
		rGroup.POST("/upload", controller.Upload)
		rGroup.POST("/get_share_poster", controller.GetSharePoster)
		rGroup.GET("/get_suncode_scene", controller.GetSuncodeScene)
		rGroup.GET("/get_variety_tag_tree", controller.GetVarietyTagTree)
		rGroup.POST("/wechat_warning", controller.WechatWarning)
		rGroup.POST("/view_log/update", controller.UpdateViewLog)
		rGroup.POST("/banner/mark", controller.BannerMark)
		rGroup.GET("/banner/list", controller.BannerList)
		rGroup.GET("/banner_history/list", controller.BannerHistoryList)
		rGroup.GET("/banner/signup", controller.ResearchSignUp)
		rGroup.GET("/banner/get_qrcode", controller.BannerGetQRCode)
		rGroup.GET("/banner/detail", controller.BannerDetail)
		rGroup.POST("/banner/download", controller.BannerDowload)
	}

	rGroup2 := r.Group("api/public")
	rGroup2.POST("/upload_audio", controller.UploadAudio)
	rGroup2.GET("/tel_area_list", controller.GetTelAreaList)
}
